+ Add Question

Mozilla Thunderbird Extention Not Compatible According to the Information on the Page for the Extension on Mozilla Add-Ons

KM

I went to the main page of the website and clicked on Thunderbird. Then I clicked on the button to get the Thunderbird Extension. When I got to that page I saw the following:

This add-on has been preliminarily reviewed by Mozilla.

Then I clicked on Learn more next to it and it said:

What does it mean if an add-on is "experimental" or "preliminarily reviewed"?

Experimental add-ons have been checked by our editors to make sure they don't have security problems, but they may still have bugs or not work properly. Use caution when installing experimental add-ons and uninstall the add-on immediately if you notice problems.

Then I clicked on Learn more about our review process next to it and it said:

Preliminary Review — a faster review intended for experimental add-ons. Preliminary reviews do not check for functionality or full policy compliance, but the reviewed add-ons have install button cautions and some feature limitations.


Also on the Extension page I saw:

Works with Thunderbird 3.0b3 - 12.*

That tells me that newest version of Thunderbird that it will work with is 12.0 and that version of Thunderbird was released April 2012 (over a year ago).


Does this mean that the extension will have bugs, not work properly, and feature limitations.

Also does this mean I have to downgrade Thunderbird 12.0.x for this to work since according to the information on the page for the extension it will not work with Thunderbird 17.0.x for Windows or does the information on the page for the extension need to be updated.

All responses

Brendon Wadey staff
Replied on Aug 29, 2013 - 00:55 UTC

Kristy,

We just recently updated our extension have submitted it to Mozilla, this is why you are seeing this on the extension page. The information though you are seeing is for our old extension. The new update when released will support the current versions without issue.

Thanks,
Brendon.